Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.interceptor
Interface SharedInterceptor

All Superinterfaces:
  Interceptor, MBeanRegistration

All Known Implementing Classes:
  AbstractSharedInterceptor

public interface SharedInterceptor
extends Interceptor, MBeanRegistration

Version:
  $Revision: 1.5 $
Author:
  Juha Lindfors.

Method Summary
`MBeanServer` | `getMBeanServer()` Returns the interceptor's view to the MBean server it has been registered to.
`ObjectName` | `getObjectName()` Returns the object name of this shared interceptor.
`ObjectName` | `register(MBeanServer server)` Registers this interceptor to the given MBean server.

Methods inherited from interface org.jboss.mx.interceptor.Interceptor
`destroy, getName, init, invoke, isShared, setLogger, start, stop`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### getObjectName

    public ObjectName getObjectName()

  Returns the object name of this shared interceptor.

  Returns:
    interceptor's object name

### getMBeanServer

    public MBeanServer getMBeanServer()

  Returns the interceptor's view to the MBean server it has been registered to.

  Returns:
    interceptor's view to its MBean server

### register

    public ObjectName register(MBeanServer server)
                        throws InterceptorNameConflictException

  Registers this interceptor to the given MBean server.

  Parameters:
    `server` - MBean server
  Returns:
    the object name of the registered interceptor
  Throws:
    `InterceptorNameConflictException` - if an interceptor was already registered to the given server

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.